import { Reporter } from "gatsby";
import { BaseContentBlock } from "notion-types";
export interface NotionServiceOptions {
    reporter: Reporter;
    parallelLimit?: number;
    enableCaching?: boolean;
}
export declare class NotionService {
    private reporter;
    private parallelLimit;
    private enableCaching;
    private cache;
    private limiter;
    constructor(options: NotionServiceOptions);
    /**
     * 데이터베이스 쿼리
     */
    queryDatabase(databaseId: string, body?: any): Promise<any>;
    /**
     * 페이지의 자식 블록 가져오기
     */
    getPageBlocks(pageId: string): Promise<BaseContentBlock[]>;
    /**
     * 여러 페이지의 블록 병렬 처리
     */
    getMultiplePagesBlocks(pageIds: string[]): Promise<{
        [id: string]: BaseContentBlock[];
    }>;
    /**
     * 캐시 초기화
     */
    clearCache(): void;
    /**
     * 병렬 처리 제한 설정
     */
    setParallelLimit(limit: number): void;
}
