"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockProcessor = void 0;
class BlockProcessor {
    context;
    constructor(context) {
        this.context = context;
    }
    extractPlainText(block) {
        if (this.isTextContentBlock(block)) {
            const richTextArray = block[block.type]?.rich_text || [];
            return richTextArray
                .map((text) => block.type === "code" // code의 \n 제거
                ? text.plain_text.replace(/\\n/g, "")
                : text.plain_text)
                .join(" ");
        }
        return null;
    }
    isTextContentBlock(block) {
        return [
            "paragraph",
            "heading_1",
            "heading_2",
            "heading_3",
            "quote",
            "bulleted_list_item",
            "numbered_list_item",
            "callout",
            "code",
            "toggle",
            "to_do",
            "bookmark",
            "table_of_contents",
            "breadcrumb",
            "divider",
            "embed",
        ].includes(block.type);
    }
    isImageBlock(block) {
        return block.type === "image" && "image" in block;
    }
}
exports.BlockProcessor = BlockProcessor;
