"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextBlockProcessor = void 0;
const blockProcessor_1 = require("./blockProcessor");
const tableOfContent_1 = require("../tableOfContent");
class TextBlockProcessor extends blockProcessor_1.BlockProcessor {
    canProcess(block) {
        return this.isTextContentBlock(block);
    }
    async process(block) {
        const tableOfContents = [];
        // 목차 처리
        await (0, tableOfContent_1.processTableOfContents)(block, tableOfContents);
        // 텍스트 추출
        const plainText = this.extractPlainText(block);
        return {
            plainText: plainText || "",
            updatedBlock: block,
            tableOfContents: tableOfContents.length > 0 ? tableOfContents : undefined,
        };
    }
}
exports.TextBlockProcessor = TextBlockProcessor;
